@setlocal
@echo off
@REM IBM Confidential OCO Source Material
@REM 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2015
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.
@REM

set "noInstall=%1"
set "onlyConfig=%2"

@REM Get root location of installation
cd %~dp0\..\..\..
set rootLoc=%CD%
cd %~dp0

call "%rootLoc%\wxs\exportCommons.bat"

set configFile=conf\nannyWrapper.conf

@REM Add parameters to wrapper config
echo wrapper.java.command=%JAVA_CMD:\=\/% >> %configFile%

set configuredKey=#WATCHDOG CONFIGURED 8613#

find /c "%configuredKey%" %configFile% > nul
IF %ERRORLEVEL% EQU 0 GOTO POSTCONFIG
	echo wrapper.working.dir = %rootLoc:\=\/%\/wlp\/usr\/servers\/restAdminServer >> %configFile%
	echo wrapper.java.classpath.1 = %rootLoc:\=\/%\/wlp\/usr\/shared\/resources\/tenant.jar  >> %configFile%
	echo wrapper.java.classpath.2 = %rootLoc:\=\/%\/wlp\/usr\/shared\/resources\/derbyclient.jar  >> %configFile%
	echo wrapper.java.classpath.3 = %rootLoc:\=\/%\/wlp\/usr\/shared\/resources\/commonobjectgridIntf.jar >> %configFile%
	echo wrapper.java.classpath.4 = %rootLoc:\=\/%\/wlp\/lib\/${new File('%rootLoc:\=/%/wlp/startscripts/nanny/LIB_LOGGING').text} >> %configFile%
	echo wrapper.java.classpath.5 = %rootLoc:\=\/%\/wlp\/lib\/${new File('%rootLoc:\=/%/wlp/startscripts/nanny/LIB_JSON').text} >> %configFile%
	echo wrapper.app.env.JAVA_HOME=%JAVA_HOME:\=\/% >> %configFile%
	
	echo wrapper.logfile = %rootLoc:\=\/%\/wlp\/startscripts\/nanny\/log\/nanny.log >> %configFile%
	
	echo "%configuredKey%" >> %configFile%
:POSTCONFIG

IF '%onlyConfig%'=='true' GOTO DONE

@REM Create the log folder 
IF NOT EXIST log md log

IF NOT '%noInstall%'=='true'  GOTO YAJSWINSTALL

@REM Make a folder for jna temp files
IF NOT EXIST "%~dp0jnatmp" mkdir "%~dp0jnatmp"

set "wdExec=\"%JAVA_CMD%\" -classpath \"%~dp0wrapper.jar\" -Xrs -Dwrapper.service=true \"-Dwrapper.working.dir=%~dp0..\nanny\" \"-Dwrapper.config=%~dp0\%configFile%\" -Dwrapper.additional.1x=-Xrs \"-Djna_tmpdir=%~dp0jnatmp\" org.rzo.yajsw.boot.WrapperServiceBooter"
sc create "XS-Nanny-Watch-Dog" binpath= "%wdExec%" start= auto
	
GOTO SETRESTART

:YAJSWINSTALL

@REM Install watchDog from YAJSW jar
"%JAVA_CMD%" -jar wrapper.jar -i %configFile% > log\nannyInstall.log

:SETRESTART

sc failure "XS-Nanny-Watch-Dog" reset= 0 actions= restart/30000
sc failure "XS-Nanny-Watch-Dog" reset= 1 actions= restart/30000
sc failure "XS-Nanny-Watch-Dog" reset= 2 actions= restart/30000

:DONE

echo installStartWatchDog completed
