#!/bin/sh
# IBM Confidential OCO Source Material
# 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2017
# The source code for this program is not published or otherwise divested
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office.
#

isBackground=$1

rootLoc=$( cd -P -- "$(dirname -- "$(command -v -- "$0")")" && pwd -P )/..
cd "${rootLoc}"
rootLoc=`pwd`
wxsLoc=${rootLoc}/wxs
cd "${wxsLoc}"
    
# Source environment variables
. "${wxsLoc}/exportCommons.sh"

classpath=${rootLoc}/wlp/usr/shared/resources/tenant.jar:${rootLoc}/wlp/usr/shared/resources/derbyclient.jar:${rootLoc}/wlp/usr/shared/resources/commonobjectgridIntf.jar:${rootLoc}/wlp/lib/com.ibm.ws.logging_1.0.12.jar:${rootLoc}/wlp/lib/com.ibm.json4j_1.0.12.jar

if [ "${isBackground}" = "true" ]; then
	"${JAVA_CMD}" -DJAVA_HOME="${JAVA_HOME}" -cp "${classpath}" com.ibm.ws.xs.tenant.nanny.WatchDog 3 20000 300000 true 30000 >/dev/null 2>&1 &
else
	"${JAVA_CMD}" -DJAVA_HOME="${JAVA_HOME}" -cp "${classpath}" com.ibm.ws.xs.tenant.nanny.WatchDog 3 20000 300000 true 30000 >/dev/null 2>&1
fi
